#ifndef KATROPTON_RANDOMVARIABLE_H
#define KATROPTON_RANDOMVARIABLE_H

#include "katropton.h"
#include <vector>

namespace katropton
{

/**
 * @brief Class containing the realisations of the random Gaussian variables.
  */
class KATROPTON_API RandomVariable
{
public:
    std::vector<double> values;
    size_t sizex;
    size_t sizey;
    double *arr;

    RandomVariable(std::vector<double> const &_values) : values(_values){};
};
} // namespace katropton

#endif //KATROPTON_RANDOMVARIABLE_H
